commit: fd8546fede5fd02d44605061563505a08e1c5cfc
Author: Andreas Zuber <a.zuber <AT> gmx <DOT> ch>
AuthorDate: Mon Mar 29 05:38:48 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Mar 29 05:38:48 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fd8546fe
dev-python/hwi: version bump to 2.0.1
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Andreas Zuber <a.zuber <AT> gmx.ch>
dev-python/hwi/Manifest | 1 +
dev-python/hwi/hwi-2.0.1.ebuild | 56 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/dev-python/hwi/Manifest b/dev-python/hwi/Manifest
index f33fc225c..e443ede98 100644
--- a/dev-python/hwi/Manifest
+++ b/dev-python/hwi/Manifest
@@ -1,2 +1,3 @@
DIST hwi-1.2.1.tar.gz 200755 BLAKE2B
b426dcd78f0ff6039541b768155a0be11f591ee4e72957fce16ffd26841cd92c3e80ce57daefc531c31f912ec94139f53db8823a3fadf347f0153c1d47f1ad08
SHA512
b8cdda0ce9d4d9734e2754a47343fa7f331f55c609448561b1bed304629b6f01d80dadba55193633ad6ac1a8ba595f4574ae8aa32cfc841c34cbeff315310071
DIST hwi-2.0.0.tar.gz 2777420 BLAKE2B
d0285ad0cb2915dc0676e5f16476eb959c7ce6a79d6d5fd849bdcc58b71701025d32d3deadb824877ad8cb8d3f32572ac15df5d910b28269e8cf1fcbe322fa07
SHA512
515aa9df76f1a8759ebb154f833864968b9f381df721fe572e5a77570b38380268c35536abd2d232d5a0ab1f04a1a6b1db701c55f0379de0d1f3a691c789fd13
+DIST hwi-2.0.1.tar.gz 2777494 BLAKE2B
11bf516a806459ae9457fd90006737c02c0b6fcaa523fddf8b6fce9d0127e6b3cc004637de20e3691573bcc593a148a9878ea42ea6e8e97eaaa386fe4cd1cba7
SHA512
a278d0361b12a8a63b3ea9d92ff0e0e522cd2fe38a760c9fea584887434fe24e1d8d38a6c6d3929b469cab942de5e512a7d1d6c1dcc119e2af93fdf3ab089806
diff --git a/dev-python/hwi/hwi-2.0.1.ebuild b/dev-python/hwi/hwi-2.0.1.ebuild
new file mode 100644
index 000000000..a2eb45254
--- /dev/null
+++ b/dev-python/hwi/hwi-2.0.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1 udev
+
+DESCRIPTION="Library and command line tool for interacting with hardware
wallets"
+HOMEPAGE="https://github.com/bitcoin-core/HWI"
+
+MY_PN="HWI"
+MY_P="${MY_PN}-${PV}"
+SRC_URI="https://github.com/bitcoin-core/${MY_PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="udev doc"
+
+BDEPEND=""
+RDEPEND="
+ >=dev-python/bitbox02-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/ecdsa-0.13.0[${PYTHON_USEDEP}]
+ >=dev-python/hidapi-0.7.99[${PYTHON_USEDEP}]
+ >=dev-python/libusb1-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/mnemonic-0.18.0[${PYTHON_USEDEP}]
+ >=dev-python/pyaes-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.7.4.1[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ # remove upper bounds on dependencies from setup.py file
+ sed 's/,<[0-9.]\+//' -i setup.py || die "sed failed"
+
+ pushd test
+ # remove tests that require hardware emulation
+ rm test_coldcard.py test_device.py test_digitalbitbox.py
test_keepkey.py test_ledger.py test_trezor.py
+ # remove udev tests because it expects the rules are installed in the
libs folder
+ rm test_udevrules.py
+ popd
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ use udev && udev_dorules hwilib/udev/*.rules
+ use doc && dodoc -r docs
+
+ distutils-r1_python_install_all
+}